読者です 読者をやめる 読者になる 読者になる

正規表現でメモリリーク

Perl 5.10.0 には正規表現周りでメモリリークが発生するとのこと。
regcomp.c の修正で解決済み らしいが、Linux ディストリビューション
既に巷に出回っている 5.10.0 は当面は、現役続行になりそうなので、
サーバでデーモン的に常時起動している場合は、問題になりそう?

http://kawa.at.webry.info/200810/article_1.html

これ正規表現オブジェクトをデーモン的に常時稼動状態で使うと再現できた。とりあえず debian lenny と MacPorts の Perl5.10 で確認してみた。

最新版だと直ってるの確認出来るんだけど、ここにあるのは CPAN でダウンロードできる Stable 版ではなさそう。Stable 版ってバグ修正されるのかな?たしか 5.8.8 のオーバーロードのバグは直らないままだった気がするので次が出るまでは...